import unittest

from devranta.api import Api


class ApiTestCase(unittest.IsolatedAsyncioTestCase):

    def setUp(self):
        self.api = Api()

    async def async_list(self, generator):
        list_ = []
        async for v in generator:
            list_.append(v)
        return list_

    async def async_len(self, generator):
        return len(await self.async_list(generator))

    async def test_get_rants(self):
        self.assertTrue(await self.async_len(self.api.get_rants()))

    async def test_search(self):
        self.assertTrue(await self.async_len(self.api.search("retoor")))

    async def test_get_user_id(self):
        self.assertTrue(await self.api.get_user_id("retoor"))

    async def test_get_profile(self):
        user_id = await self.api.get_user_id("retoor")
        self.assertTrue(await self.api.get_profile(user_id))
